package org.jboss.example.batch;

import javax.batch.api.chunk.AbstractItemReader;
import javax.inject.Named;

import org.jboss.example.bean.User;

@Named
public class Generator extends AbstractItemReader {

	public int counter = 0;

	@Override
	public Object readItem() throws Exception {
		if (counter == 10) {
			return null;
		}
		counter++;
		return new User(counter, "Name " + counter, "Surname " + counter, 30 + counter);
	}

}
